# $Revision: 1.10 $, $Date: 2010/04/06 12:54:45 $
# NOTE
# - you can see the version from:
#   ftp://ftp.qlogic.com/outgoing/linux/firmware/CURRENT_VERSIONS
%define		driver ql2400
Summary:	Firmware for the QLogic %{driver} HBA
Summary(pl.UTF-8):	Firmware dla HBA QLogic %{driver}
Name:		%{driver}-firmware
Version:	5.03.02
Release:	1
License:	distributable
Group:		Base/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/%{driver}_fw.bin
# Source0-md5:	f793a18130525f84f6c610c21b3fbba4
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
# Source1-md5:	4005328a134054f0fa077bdc37aa64f2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the firmware for the QLogic %{driver} driver.

%description -l pl.UTF-8
Ten pakiet zawiera firmware dla sterownika QLogic %{driver}.

%prep
%setup -qcT
cp -a %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware
cp -a %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
/lib/firmware/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ql2400-firmware.spec,v $
Revision 1.10  2010/04/06 12:54:45  glen
- up to 5.03.02, include LICENSE

Revision 1.9  2008/11/23 11:43:37  arekm
- rel 2; really use new fw

Revision 1.8  2008/11/23 11:42:37  arekm
- up to 4.04.05

Revision 1.7  2008-04-24 06:58:51  arekm
- up to 4.04.00

Revision 1.6  2008-01-22 14:00:33  arekm
- up to 4.03.00

Revision 1.5  2007/04/18 16:49:38  zawadaa
- up to 4.00.27

Revision 1.4  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 14:15:26  qboosh
- pl

Revision 1.1  2006/08/14 08:24:32  arekm
- QLogic firmwares; redistibutable
